name: Gitea Actions
run-name: ${{ gitea.actor }} is testing out Gitea Actions ??
on: [push]

jobs:
  Explore-Gitea-Actions:
    runs-on: ubuntu
    steps:
      - run: cd /home/resume/
      - run: echo "Stopping gitea service..."
      - run: systemctl stop resume
      - run: echo "Gitea service stopped"
      - run: echo "Pulling repo..."
      - name: Check out repository code
        uses: actions/checkout@v3
      - run: echo "Repo pulled"
      - run: echo "Updating npm dependencies..."
      - run: nvm use 18.19.0; npm i;
      - run: echo "NPM dependencies updated"
      - run: echo "Updating composer dependencies..."
      - run: export COMPOSER_ALLOW_SUPERUSER=1; composer show; composer install;
      - run: echo "Composer dependencies updated"
      - run: echo "Building frontend..."
      - run: nvm use 18.19.0; npm run build;
      - run: echo "Frontend built"
      - run: echo "Starting Gitea service"
      - run: systemctl start resume
      - run: echo "Gitea service started"